Contents

# IsUnoStruct Function

지정한 개체가 Uno 구조일 경우 True를 구합니다.

### Syntax:

IsUnoStruct( Uno type name )

### Return type:

Boolean

### Parameters:

Uno type name: Uno 유형의 이름입니다.

### Example:

    Sub Main
    Dim bIsStruct
    ' Instantiate a service
    Dim oSimpleFileAccess
    oSimpleFileAccess = CreateUnoService( "com.sun.star.ucb.SimpleFileAccess" )
    bIsStruct = IsUnoStruct( oSimpleFileAccess )
    MsgBox bIsStruct ' Displays False because oSimpleFileAccess is NO struct
    ' Instantiate a Property struct
    Dim aProperty As New com.sun.star.beans.Property
    bIsStruct = IsUnoStruct( aProperty )
    MsgBox bIsStruct ' Displays True because aProperty is a struct
    bIsStruct = IsUnoStruct( 42 )
    MsgBox bIsStruct ' Displays False because 42 is NO struct
    End Sub

Please support us!